gnutls_pkcs11_obj_set_pin_function(3)

NAME
gnutls_pkcs11_obj_set_pin_function - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

void gnutls_pkcs11_obj_set_pin_function(gnutls_pkcs11_obj_t obj, gnutls_pin_callback_t fn, void * userdata);

ARGUMENTS

gnutls_pkcs11_obj_t obj
    The object structure

gnutls_pin_callback_t fn
    the callback

void * userdata
    data associated with the callback

DESCRIPTION
This function will set a callback function to be used when required to access the object. This function overrides the global set using gnutls_pkcs11_set_pin_function().

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/